summaryrefslogtreecommitdiffstats
path: root/rubbos/app/httpd-2.0.64/srclib/apr/config.status
diff options
context:
space:
mode:
Diffstat (limited to 'rubbos/app/httpd-2.0.64/srclib/apr/config.status')
-rwxr-xr-xrubbos/app/httpd-2.0.64/srclib/apr/config.status1357
1 files changed, 1357 insertions, 0 deletions
diff --git a/rubbos/app/httpd-2.0.64/srclib/apr/config.status b/rubbos/app/httpd-2.0.64/srclib/apr/config.status
new file mode 100755
index 00000000..e5a5a822
--- /dev/null
+++ b/rubbos/app/httpd-2.0.64/srclib/apr/config.status
@@ -0,0 +1,1357 @@
+#! /bin/bash
+# Generated by configure.
+# Run this file to recreate the current configuration.
+# Compiler output produced by configure, useful for debugging
+# configure, is in config.log if it exists.
+
+debug=false
+ac_cs_recheck=false
+ac_cs_silent=false
+SHELL=${CONFIG_SHELL-/bin/bash}
+## --------------------- ##
+## M4sh Initialization. ##
+## --------------------- ##
+
+# Be more Bourne compatible
+DUALCASE=1; export DUALCASE # for MKS sh
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+ emulate sh
+ NULLCMD=:
+ # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
+ # is contrary to our usage. Disable this feature.
+ alias -g '${1+"$@"}'='"$@"'
+ setopt NO_GLOB_SUBST
+else
+ case `(set -o) 2>/dev/null` in
+ *posix*) set -o posix ;;
+esac
+
+fi
+
+
+
+
+# PATH needs CR
+# Avoid depending upon Character Ranges.
+as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+as_cr_Letters=$as_cr_letters$as_cr_LETTERS
+as_cr_digits='0123456789'
+as_cr_alnum=$as_cr_Letters$as_cr_digits
+
+as_nl='
+'
+export as_nl
+# Printing a long string crashes Solaris 7 /usr/bin/printf.
+as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
+as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
+as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
+if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
+ as_echo='printf %s\n'
+ as_echo_n='printf %s'
+else
+ if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
+ as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
+ as_echo_n='/usr/ucb/echo -n'
+ else
+ as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
+ as_echo_n_body='eval
+ arg=$1;
+ case $arg in
+ *"$as_nl"*)
+ expr "X$arg" : "X\\(.*\\)$as_nl";
+ arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
+ esac;
+ expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
+ '
+ export as_echo_n_body
+ as_echo_n='sh -c $as_echo_n_body as_echo'
+ fi
+ export as_echo_body
+ as_echo='sh -c $as_echo_body as_echo'
+fi
+
+# The user is always right.
+if test "${PATH_SEPARATOR+set}" != set; then
+ PATH_SEPARATOR=:
+ (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
+ (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
+ PATH_SEPARATOR=';'
+ }
+fi
+
+# Support unset when possible.
+if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
+ as_unset=unset
+else
+ as_unset=false
+fi
+
+
+# IFS
+# We need space, tab and new line, in precisely that order. Quoting is
+# there to prevent editors from complaining about space-tab.
+# (If _AS_PATH_WALK were called with IFS unset, it would disable word
+# splitting by setting IFS to empty value.)
+IFS=" "" $as_nl"
+
+# Find who we are. Look in the path if we contain no directory separator.
+case $0 in
+ *[\\/]* ) as_myself=$0 ;;
+ *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+done
+IFS=$as_save_IFS
+
+ ;;
+esac
+# We did not find ourselves, most probably we were run as `sh COMMAND'
+# in which case we are not to be found in the path.
+if test "x$as_myself" = x; then
+ as_myself=$0
+fi
+if test ! -f "$as_myself"; then
+ $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
+ { (exit 1); exit 1; }
+fi
+
+# Work around bugs in pre-3.0 UWIN ksh.
+for as_var in ENV MAIL MAILPATH
+do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
+done
+PS1='$ '
+PS2='> '
+PS4='+ '
+
+# NLS nuisances.
+LC_ALL=C
+export LC_ALL
+LANGUAGE=C
+export LANGUAGE
+
+# Required to use basename.
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+ test "X`expr 00001 : '.*\(...\)'`" = X001; then
+ as_expr=expr
+else
+ as_expr=false
+fi
+
+if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
+ as_basename=basename
+else
+ as_basename=false
+fi
+
+
+# Name of the executable.
+as_me=`$as_basename -- "$0" ||
+$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
+ X"$0" : 'X\(//\)$' \| \
+ X"$0" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X/"$0" |
+ sed '/^.*\/\([^/][^/]*\)\/*$/{
+ s//\1/
+ q
+ }
+ /^X\/\(\/\/\)$/{
+ s//\1/
+ q
+ }
+ /^X\/\(\/\).*/{
+ s//\1/
+ q
+ }
+ s/.*/./; q'`
+
+# CDPATH.
+$as_unset CDPATH
+
+
+
+ as_lineno_1=$LINENO
+ as_lineno_2=$LINENO
+ test "x$as_lineno_1" != "x$as_lineno_2" &&
+ test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
+
+ # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
+ # uniformly replaced by the line number. The first 'sed' inserts a
+ # line-number line after each line using $LINENO; the second 'sed'
+ # does the real work. The second script uses 'N' to pair each
+ # line-number line with the line containing $LINENO, and appends
+ # trailing '-' during substitution so that $LINENO is not a special
+ # case at line end.
+ # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
+ # scripts with optimization help from Paolo Bonzini. Blame Lee
+ # E. McMahon (1931-1989) for sed's syntax. :-)
+ sed -n '
+ p
+ /[$]LINENO/=
+ ' <$as_myself |
+ sed '
+ s/[$]LINENO.*/&-/
+ t lineno
+ b
+ :lineno
+ N
+ :loop
+ s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
+ t loop
+ s/-\n.*//
+ ' >$as_me.lineno &&
+ chmod +x "$as_me.lineno" ||
+ { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
+ { (exit 1); exit 1; }; }
+
+ # Don't try to exec as it changes $[0], causing all sort of problems
+ # (the dirname of $[0] is not the place where we might find the
+ # original and so on. Autoconf is especially sensitive to this).
+ . "./$as_me.lineno"
+ # Exit status is that of the last command.
+ exit
+}
+
+
+if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
+ as_dirname=dirname
+else
+ as_dirname=false
+fi
+
+ECHO_C= ECHO_N= ECHO_T=
+case `echo -n x` in
+-n*)
+ case `echo 'x\c'` in
+ *c*) ECHO_T=' ';; # ECHO_T is single tab character.
+ *) ECHO_C='\c';;
+ esac;;
+*)
+ ECHO_N='-n';;
+esac
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+ test "X`expr 00001 : '.*\(...\)'`" = X001; then
+ as_expr=expr
+else
+ as_expr=false
+fi
+
+rm -f conf$$ conf$$.exe conf$$.file
+if test -d conf$$.dir; then
+ rm -f conf$$.dir/conf$$.file
+else
+ rm -f conf$$.dir
+ mkdir conf$$.dir 2>/dev/null
+fi
+if (echo >conf$$.file) 2>/dev/null; then
+ if ln -s conf$$.file conf$$ 2>/dev/null; then
+ as_ln_s='ln -s'
+ # ... but there are two gotchas:
+ # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
+ # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
+ # In both cases, we have to default to `cp -p'.
+ ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
+ as_ln_s='cp -p'
+ elif ln conf$$.file conf$$ 2>/dev/null; then
+ as_ln_s=ln
+ else
+ as_ln_s='cp -p'
+ fi
+else
+ as_ln_s='cp -p'
+fi
+rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
+rmdir conf$$.dir 2>/dev/null
+
+if mkdir -p . 2>/dev/null; then
+ as_mkdir_p=:
+else
+ test -d ./-p && rmdir ./-p
+ as_mkdir_p=false
+fi
+
+if test -x / >/dev/null 2>&1; then
+ as_test_x='test -x'
+else
+ if ls -dL / >/dev/null 2>&1; then
+ as_ls_L_option=L
+ else
+ as_ls_L_option=
+ fi
+ as_test_x='
+ eval sh -c '\''
+ if test -d "$1"; then
+ test -d "$1/.";
+ else
+ case $1 in
+ -*)set "./$1";;
+ esac;
+ case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
+ ???[sx]*):;;*)false;;esac;fi
+ '\'' sh
+ '
+fi
+as_executable_p=$as_test_x
+
+# Sed expression to map a string onto a valid CPP name.
+as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
+
+# Sed expression to map a string onto a valid variable name.
+as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
+
+
+exec 6>&1
+
+# Save the log message, to keep $[0] and so on meaningful, and to
+# report actual input values of CONFIG_FILES etc. instead of their
+# values after options handling.
+ac_log="
+This file was extended by $as_me, which was
+generated by GNU Autoconf 2.63. Invocation command line was
+
+ CONFIG_FILES = $CONFIG_FILES
+ CONFIG_HEADERS = $CONFIG_HEADERS
+ CONFIG_LINKS = $CONFIG_LINKS
+ CONFIG_COMMANDS = $CONFIG_COMMANDS
+ $ $0 $@
+
+on `(hostname || uname -n) 2>/dev/null | sed 1q`
+"
+
+# Files that config.status was made for.
+config_files=" Makefile strings/Makefile passwd/Makefile tables/Makefile build/Makefile file_io/unix/Makefile network_io/unix/Makefile threadproc/unix/Makefile misc/unix/Makefile locks/unix/Makefile time/unix/Makefile mmap/unix/Makefile shmem/unix/Makefile user/unix/Makefile memory/unix/Makefile atomic/unix/Makefile poll/unix/Makefile support/unix/Makefile dso/unix/Makefile test/Makefile test/internal/Makefile include/apr.h build/apr_rules.mk build/pkg/pkginfo apr-config"
+config_headers=" include/arch/unix/apr_private.h"
+config_commands=" default"
+
+ac_cs_usage="\
+\`$as_me' instantiates files from templates according to the
+current configuration.
+
+Usage: $0 [OPTION]... [FILE]...
+
+ -h, --help print this help, then exit
+ -V, --version print version number and configuration settings, then exit
+ -q, --quiet, --silent
+ do not print progress messages
+ -d, --debug don't remove temporary files
+ --recheck update $as_me by reconfiguring in the same conditions
+ --file=FILE[:TEMPLATE]
+ instantiate the configuration file FILE
+ --header=FILE[:TEMPLATE]
+ instantiate the configuration header FILE
+
+Configuration files:
+$config_files
+
+Configuration headers:
+$config_headers
+
+Configuration commands:
+$config_commands
+
+Report bugs to <bug-autoconf@gnu.org>."
+
+ac_cs_version="\
+config.status
+configured by /bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr/configure, generated by GNU Autoconf 2.63,
+ with options \"'--disable-option-checking' '--enable-module=so' '--enable-so' '--with-mpm=worker' '--cache-file=/dev/null' '--srcdir=/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr' '--prefix=/bottlenecks/rubbos/app/apache2' '--exec-prefix=/bottlenecks/rubbos/app/apache2' '--libdir=\${prefix}/lib' '--includedir=/bottlenecks/rubbos/app/apache2/include' '--bindir=\${prefix}/bin' '--datadir=/bottlenecks/rubbos/app/apache2' '--with-installbuilddir=\${prefix}/build'\"
+
+Copyright (C) 2008 Free Software Foundation, Inc.
+This config.status script is free software; the Free Software Foundation
+gives unlimited permission to copy, distribute and modify it."
+
+ac_pwd='/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr'
+srcdir='.'
+INSTALL='/usr/bin/install -c'
+AWK='gawk'
+test -n "$AWK" || AWK=awk
+# The default lists apply if the user does not specify any file.
+ac_need_defaults=:
+while test $# != 0
+do
+ case $1 in
+ --*=*)
+ ac_option=`expr "X$1" : 'X\([^=]*\)='`
+ ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
+ ac_shift=:
+ ;;
+ *)
+ ac_option=$1
+ ac_optarg=$2
+ ac_shift=shift
+ ;;
+ esac
+
+ case $ac_option in
+ # Handling of the options.
+ -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
+ ac_cs_recheck=: ;;
+ --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
+ $as_echo "$ac_cs_version"; exit ;;
+ --debug | --debu | --deb | --de | --d | -d )
+ debug=: ;;
+ --file | --fil | --fi | --f )
+ $ac_shift
+ case $ac_optarg in
+ *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
+ esac
+ CONFIG_FILES="$CONFIG_FILES '$ac_optarg'"
+ ac_need_defaults=false;;
+ --header | --heade | --head | --hea )
+ $ac_shift
+ case $ac_optarg in
+ *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
+ esac
+ CONFIG_HEADERS="$CONFIG_HEADERS '$ac_optarg'"
+ ac_need_defaults=false;;
+ --he | --h)
+ # Conflict between --help and --header
+ { $as_echo "$as_me: error: ambiguous option: $1
+Try \`$0 --help' for more information." >&2
+ { (exit 1); exit 1; }; };;
+ --help | --hel | -h )
+ $as_echo "$ac_cs_usage"; exit ;;
+ -q | -quiet | --quiet | --quie | --qui | --qu | --q \
+ | -silent | --silent | --silen | --sile | --sil | --si | --s)
+ ac_cs_silent=: ;;
+
+ # This is an error.
+ -*) { $as_echo "$as_me: error: unrecognized option: $1
+Try \`$0 --help' for more information." >&2
+ { (exit 1); exit 1; }; } ;;
+
+ *) ac_config_targets="$ac_config_targets $1"
+ ac_need_defaults=false ;;
+
+ esac
+ shift
+done
+
+ac_configure_extra_args=
+
+if $ac_cs_silent; then
+ exec 6>/dev/null
+ ac_configure_extra_args="$ac_configure_extra_args --silent"
+fi
+
+if $ac_cs_recheck; then
+ set X '/bin/bash' '/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr/configure' '--disable-option-checking' '--enable-module=so' '--enable-so' '--with-mpm=worker' '--cache-file=/dev/null' '--srcdir=/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr' '--prefix=/bottlenecks/rubbos/app/apache2' '--exec-prefix=/bottlenecks/rubbos/app/apache2' '--libdir=${prefix}/lib' '--includedir=/bottlenecks/rubbos/app/apache2/include' '--bindir=${prefix}/bin' '--datadir=/bottlenecks/rubbos/app/apache2' '--with-installbuilddir=${prefix}/build' $ac_configure_extra_args --no-create --no-recursion
+ shift
+ $as_echo "running CONFIG_SHELL=/bin/bash $*" >&6
+ CONFIG_SHELL='/bin/bash'
+ export CONFIG_SHELL
+ exec "$@"
+fi
+
+exec 5>>config.log
+{
+ echo
+ sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
+## Running $as_me. ##
+_ASBOX
+ $as_echo "$ac_log"
+} >&5
+
+
+# Handling of arguments.
+for ac_config_target in $ac_config_targets
+do
+ case $ac_config_target in
+ "include/arch/unix/apr_private.h") CONFIG_HEADERS="$CONFIG_HEADERS include/arch/unix/apr_private.h" ;;
+ "$MAKEFILE1") CONFIG_FILES="$CONFIG_FILES $MAKEFILE1" ;;
+ "$MAKEFILE2") CONFIG_FILES="$CONFIG_FILES $MAKEFILE2" ;;
+ "$MAKEFILE3") CONFIG_FILES="$CONFIG_FILES $MAKEFILE3" ;;
+ "include/apr.h") CONFIG_FILES="$CONFIG_FILES include/apr.h" ;;
+ "build/apr_rules.mk") CONFIG_FILES="$CONFIG_FILES build/apr_rules.mk" ;;
+ "build/pkg/pkginfo") CONFIG_FILES="$CONFIG_FILES build/pkg/pkginfo" ;;
+ "apr-config") CONFIG_FILES="$CONFIG_FILES apr-config" ;;
+ "default") CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
+
+ *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
+$as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
+ { (exit 1); exit 1; }; };;
+ esac
+done
+
+
+# If the user did not use the arguments to specify the items to instantiate,
+# then the envvar interface is used. Set only those that are not.
+# We use the long form for the default assignment because of an extremely
+# bizarre bug on SunOS 4.1.3.
+if $ac_need_defaults; then
+ test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
+ test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
+ test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
+fi
+
+# Have a temporary directory for convenience. Make it in the build tree
+# simply because there is no reason against having it here, and in addition,
+# creating and moving files from /tmp can sometimes cause problems.
+# Hook for its removal unless debugging.
+# Note that there is a small window in which the directory will not be cleaned:
+# after its creation but before its name has been assigned to `$tmp'.
+$debug ||
+{
+ tmp=
+ trap 'exit_status=$?
+ { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
+' 0
+ trap '{ (exit 1); exit 1; }' 1 2 13 15
+}
+# Create a (secure) tmp directory for tmp files.
+
+{
+ tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
+ test -n "$tmp" && test -d "$tmp"
+} ||
+{
+ tmp=./conf$$-$RANDOM
+ (umask 077 && mkdir "$tmp")
+} ||
+{
+ $as_echo "$as_me: cannot create a temporary directory in ." >&2
+ { (exit 1); exit 1; }
+}
+
+# Set up the scripts for CONFIG_FILES section.
+# No need to generate them if there are no CONFIG_FILES.
+# This happens for instance with `./config.status config.h'.
+if test -n "$CONFIG_FILES"; then
+
+
+ac_cr=' '
+ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null`
+if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then
+ ac_cs_awk_cr='\\r'
+else
+ ac_cs_awk_cr=$ac_cr
+fi
+
+echo 'BEGIN {' >"$tmp/subs1.awk" &&
+cat >>"$tmp/subs1.awk" <<\_ACAWK &&
+S["LTLIBOBJS"]=""
+S["LIBOBJS"]=""
+S["INCLUDE_RULES"]="include /bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr/build/apr_rules.mk"
+S["SUBDIRS"]="strings passwd tables file_io/unix network_io/unix threadproc/unix misc/unix locks/unix time/unix mmap/unix shmem/unix user/unix memory/un"\
+"ix atomic/unix poll/unix support/unix dso/unix "
+S["LIBTOOL_LIBS"]=""
+S["DEFAULT_OSDIR"]="unix"
+S["OSDIR"]="unix"
+S["LDLIBS"]=""
+S["NOTEST_INCLUDES"]=""
+S["NOTEST_LIBS"]=""
+S["NOTEST_LDFLAGS"]=""
+S["NOTEST_CFLAGS"]=""
+S["NOTEST_CPPFLAGS"]=""
+S["EXTRA_INCLUDES"]=""
+S["EXTRA_LIBS"]="-lrt -lm -lcrypt -lnsl -lpthread -ldl"
+S["EXTRA_LDFLAGS"]=""
+S["EXTRA_CFLAGS"]="-g -O2 -pthread"
+S["EXTRA_CPPFLAGS"]="-D_REENTRANT -D_GNU_SOURCE"
+S["have_ipv6"]="1"
+S["have_sctp"]="0"
+S["acceptfilter"]="0"
+S["have_corkable_tcp"]="1"
+S["apr_tcp_nopush_flag"]="TCP_CORK"
+S["file_as_socket"]="1"
+S["have_in_addr"]="1"
+S["rand"]="1"
+S["proclockglobal"]="0"
+S["pthreadser"]="1"
+S["procpthreadser"]="0"
+S["fcntlser"]="0"
+S["posixser"]="0"
+S["sysvser"]="1"
+S["flockser"]="0"
+S["hasrwlockser"]="0"
+S["hasprocpthreadser"]="1"
+S["hasfcntlser"]="1"
+S["hasposixser"]="0"
+S["hassysvser"]="1"
+S["hasflockser"]="1"
+S["have_union_semun"]="0"
+S["struct_rlimit"]="1"
+S["oc"]="1"
+S["aprdso"]="1"
+S["int64_strfn"]="strtol"
+S["have_int64_strfn"]="1"
+S["have_memchr"]="1"
+S["have_strstr"]="1"
+S["have_strdup"]="1"
+S["have_strcasecmp"]="1"
+S["have_stricmp"]="0"
+S["have_strncasecmp"]="1"
+S["have_strnicmp"]="0"
+S["ino_t_value"]="unsigned long"
+S["stdint"]="1"
+S["int64_literal"]="#define APR_INT64_C(val) INT64_C(val)"
+S["pid_t_fmt"]="#define APR_PID_T_FMT \"d\""
+S["off_t_fmt"]="#define APR_OFF_T_FMT \"ld\""
+S["size_t_fmt"]="#define APR_SIZE_T_FMT \"ld\""
+S["ssize_t_fmt"]="#define APR_SSIZE_T_FMT \"ld\""
+S["uint64_t_hex_fmt"]="#define APR_UINT64_T_HEX_FMT \"lx\""
+S["uint64_t_fmt_len"]="#define APR_UINT64_T_FMT_LEN 2"
+S["uint64_t_fmt"]="#define APR_UINT64_T_FMT \"lu\""
+S["int64_t_fmt_len"]="#define APR_INT64_T_FMT_LEN 2"
+S["int64_t_fmt"]="#define APR_INT64_T_FMT \"ld\""
+S["socklen_t_value"]="socklen_t"
+S["ssize_t_value"]="ssize_t"
+S["size_t_value"]="size_t"
+S["off_t_value"]="off_t"
+S["int64_value"]="long"
+S["long_value"]="long"
+S["int_value"]="int"
+S["short_value"]="short"
+S["voidp_size"]="8"
+S["semaphoreh"]="1"
+S["pthreadh"]="1"
+S["sys_waith"]="1"
+S["signalh"]="1"
+S["unistdh"]="1"
+S["timeh"]="1"
+S["sys_unh"]="1"
+S["sys_uioh"]="1"
+S["sys_timeh"]="1"
+S["sys_typesh"]="1"
+S["sys_sockioh"]="0"
+S["sys_socketh"]="1"
+S["sys_signalh"]="1"
+S["sys_sendfileh"]="1"
+S["sys_ioctlh"]="1"
+S["stringsh"]="1"
+S["stringh"]="1"
+S["stdlibh"]="1"
+S["stdioh"]="1"
+S["stdargh"]="1"
+S["netinet_tcph"]="1"
+S["netinet_sctp_uioh"]="0"
+S["netinet_sctph"]="0"
+S["netinet_inh"]="1"
+S["sys_syslimitsh"]="0"
+S["netdbh"]="1"
+S["limitsh"]="1"
+S["ioh"]="0"
+S["fcntlh"]="1"
+S["direnth"]="1"
+S["errnoh"]="1"
+S["crypth"]="1"
+S["ctypeh"]="1"
+S["conioh"]="0"
+S["arpa_ineth"]="1"
+S["have_memmove"]="1"
+S["mmap"]="1"
+S["have_getrlimit"]="1"
+S["have_setrlimit"]="1"
+S["have_sigaction"]="1"
+S["have_inet_network"]="1"
+S["o_nonblock_inherited"]="0"
+S["tcp_nodelay_inherited"]="1"
+S["have_inet_addr"]="1"
+S["fork"]="1"
+S["apr_inaddr_none"]="INADDR_NONE"
+S["sendfile"]="1"
+S["sharedmem"]="1"
+S["haveos2shm"]="0"
+S["havebeosarea"]="0"
+S["haveshmget"]="1"
+S["havemmapshm"]="1"
+S["havemmaptmp"]="1"
+S["useos2shm"]="0"
+S["usebeosarea"]="0"
+S["useshmget"]="1"
+S["usemmapshm"]="0"
+S["usemmaptmp"]="0"
+S["havemmapanon"]="1"
+S["havemmapzero"]="1"
+S["haveshmgetanon"]="1"
+S["usemmapanon"]="1"
+S["usemmapzero"]="0"
+S["useshmgetanon"]="0"
+S["have_sigwait"]="1"
+S["have_sigsuspend"]="1"
+S["threads"]="1"
+S["INSTALL_SUBDIRS"]="none"
+S["eolstr"]="\\n"
+S["proc_mutex_is_global"]="0"
+S["apr_force_atomic_generic"]="1"
+S["MKDEP"]="$(CC) -MM"
+S["LT_LDFLAGS"]=""
+S["LTFLAGS"]="--silent"
+S["shlibpath_var"]="LD_LIBRARY_PATH"
+S["export_lib_target"]="-rpath \\$(libdir) \\$\\$objects"
+S["lib_target"]="-rpath $(libdir) $$objects"
+S["so_ext"]="lo"
+S["link"]="$(LIBTOOL) $(LTFLAGS) --mode=link $(LT_LDFLAGS) $(COMPILE) -version-info 9:19:9 $(ALL_LDFLAGS) -o $@"
+S["lt_compile"]="$(LIBTOOL) $(LTFLAGS) --mode=compile $(COMPILE) -c $< && touch $@"
+S["installbuilddir"]="${prefix}/build"
+S["LIBTOOL"]="$(SHELL) $(apr_builddir)/libtool"
+S["ac_ct_F77"]=""
+S["FFLAGS"]=""
+S["F77"]=""
+S["CXXCPP"]="g++ -E"
+S["ac_ct_CXX"]="g++"
+S["CXXFLAGS"]="-g -O2"
+S["CXX"]="g++"
+S["NMEDIT"]=""
+S["DSYMUTIL"]=""
+S["STRIP"]="strip"
+S["ECHO"]="echo"
+S["SED"]="/bin/sed"
+S["APR_LIBNAME"]="apr-${APR_MAJOR_VERSION}"
+S["apr_charset_ebcdic"]="0"
+S["EGREP"]="/bin/grep -E"
+S["GREP"]="/bin/grep"
+S["AR"]="ar"
+S["ASCPP"]="cpp"
+S["AS"]="as"
+S["RM"]="rm"
+S["INSTALL_DATA"]="${INSTALL} -m 644"
+S["INSTALL_SCRIPT"]="${INSTALL}"
+S["INSTALL_PROGRAM"]="${INSTALL}"
+S["RANLIB"]="ranlib"
+S["LN_S"]="ln -s"
+S["AWK"]="gawk"
+S["CPP"]="gcc -E"
+S["SET_MAKE"]=""
+S["OBJEXT"]="o"
+S["EXEEXT"]=""
+S["ac_ct_CC"]="gcc"
+S["CPPFLAGS"]=""
+S["LDFLAGS"]=""
+S["CFLAGS"]=""
+S["CC"]="gcc"
+S["APR_MAJOR_VERSION"]="0"
+S["APR_DOTTED_VERSION"]="0.9.19"
+S["apr_builders"]="/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr/build"
+S["top_builddir"]="/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr"
+S["APR_CONFIG_LOCATION"]="source"
+S["apr_builddir"]="/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr"
+S["apr_srcdir"]="/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr"
+S["target_os"]="linux-gnu"
+S["target_vendor"]="unknown"
+S["target_cpu"]="x86_64"
+S["target"]="x86_64-unknown-linux-gnu"
+S["host_os"]="linux-gnu"
+S["host_vendor"]="unknown"
+S["host_cpu"]="x86_64"
+S["host"]="x86_64-unknown-linux-gnu"
+S["build_os"]="linux-gnu"
+S["build_vendor"]="unknown"
+S["build_cpu"]="x86_64"
+S["build"]="x86_64-unknown-linux-gnu"
+S["target_alias"]=""
+S["host_alias"]=""
+S["build_alias"]=""
+S["LIBS"]=""
+S["ECHO_T"]=""
+S["ECHO_N"]="-n"
+S["ECHO_C"]=""
+S["DEFS"]="-DHAVE_CONFIG_H"
+S["mandir"]="${prefix}/man"
+S["localedir"]="${datarootdir}/locale"
+S["libdir"]="${prefix}/lib"
+S["psdir"]="${docdir}"
+S["pdfdir"]="${docdir}"
+S["dvidir"]="${docdir}"
+S["htmldir"]="${docdir}"
+S["infodir"]="${datarootdir}/info"
+S["docdir"]="${datarootdir}/doc/${PACKAGE}"
+S["oldincludedir"]="/usr/include"
+S["includedir"]="/bottlenecks/rubbos/app/apache2/include"
+S["localstatedir"]="${prefix}"
+S["sharedstatedir"]="${prefix}/com"
+S["sysconfdir"]="${prefix}/conf"
+S["datadir"]="/bottlenecks/rubbos/app/apache2"
+S["datarootdir"]="${prefix}/share"
+S["libexecdir"]="${exec_prefix}/modules"
+S["sbindir"]="${exec_prefix}/bin"
+S["bindir"]="${prefix}/bin"
+S["program_transform_name"]="s,x,x,"
+S["prefix"]="/bottlenecks/rubbos/app/apache2"
+S["exec_prefix"]="/bottlenecks/rubbos/app/apache2"
+S["PACKAGE_BUGREPORT"]=""
+S["PACKAGE_STRING"]=""
+S["PACKAGE_VERSION"]=""
+S["PACKAGE_TARNAME"]=""
+S["PACKAGE_NAME"]=""
+S["PATH_SEPARATOR"]=":"
+S["SHELL"]="/bin/bash"
+_ACAWK
+cat >>"$tmp/subs1.awk" <<_ACAWK &&
+ for (key in S) S_is_set[key] = 1
+ FS = ""
+
+}
+{
+ line = $ 0
+ nfields = split(line, field, "@")
+ substed = 0
+ len = length(field[1])
+ for (i = 2; i < nfields; i++) {
+ key = field[i]
+ keylen = length(key)
+ if (S_is_set[key]) {
+ value = S[key]
+ line = substr(line, 1, len) "" value "" substr(line, len + keylen + 3)
+ len += length(value) + length(field[++i])
+ substed = 1
+ } else
+ len += 1 + keylen
+ }
+
+ print line
+}
+
+_ACAWK
+if sed "s/$ac_cr//" < /dev/null > /dev/null 2>&1; then
+ sed "s/$ac_cr\$//; s/$ac_cr/$ac_cs_awk_cr/g"
+else
+ cat
+fi < "$tmp/subs1.awk" > "$tmp/subs.awk" \
+ || { { $as_echo "$as_me:$LINENO: error: could not setup config files machinery" >&5
+$as_echo "$as_me: error: could not setup config files machinery" >&2;}
+ { (exit 1); exit 1; }; }
+fi # test -n "$CONFIG_FILES"
+
+# Set up the scripts for CONFIG_HEADERS section.
+# No need to generate them if there are no CONFIG_HEADERS.
+# This happens for instance with `./config.status Makefile'.
+if test -n "$CONFIG_HEADERS"; then
+cat >"$tmp/defines.awk" <<\_ACAWK ||
+BEGIN {
+D["PACKAGE_NAME"]=" \"\""
+D["PACKAGE_TARNAME"]=" \"\""
+D["PACKAGE_VERSION"]=" \"\""
+D["PACKAGE_STRING"]=" \"\""
+D["PACKAGE_BUGREPORT"]=" \"\""
+D["STDC_HEADERS"]=" 1"
+D["HAVE_SYS_TYPES_H"]=" 1"
+D["HAVE_SYS_STAT_H"]=" 1"
+D["HAVE_STDLIB_H"]=" 1"
+D["HAVE_STRING_H"]=" 1"
+D["HAVE_MEMORY_H"]=" 1"
+D["HAVE_STRINGS_H"]=" 1"
+D["HAVE_INTTYPES_H"]=" 1"
+D["HAVE_STDINT_H"]=" 1"
+D["HAVE_UNISTD_H"]=" 1"
+D["__EXTENSIONS__"]=" 1"
+D["_ALL_SOURCE"]=" 1"
+D["_GNU_SOURCE"]=" 1"
+D["_POSIX_PTHREAD_SEMANTICS"]=" 1"
+D["_TANDEM_SOURCE"]=" 1"
+D["HAVE_DLFCN_H"]=" 1"
+D["HAVE_LIBNSL"]=" 1"
+D["HAVE_PTHREAD_H"]=" 1"
+D["HAVE_PTHREAD_H"]=" 1"
+D["USE_THREADS"]=" 1"
+D["HAVE_PTHREAD_KEY_DELETE"]=" 1"
+D["HAVE_PTHREAD_RWLOCK_INIT"]=" 1"
+D["HAVE_PTHREAD_RWLOCKS"]=" 1"
+D["HAVE_PTHREAD_MUTEX_RECURSIVE"]=" 1"
+D["HAVE_GETHOSTBYNAME_R"]=" 1"
+D["HAVE_GETHOSTBYADDR_R"]=" 1"
+D["HAVE_SIGSUSPEND"]=" 1"
+D["HAVE_SIGWAIT"]=" 1"
+D["HAVE_POLL"]=" 1"
+D["HAVE_GETPWNAM_R"]=" 1"
+D["HAVE_GETPWUID_R"]=" 1"
+D["HAVE_GETGRNAM_R"]=" 1"
+D["HAVE_GETGRGID_R"]=" 1"
+D["HAVE_SYS_MMAN_H"]=" 1"
+D["HAVE_SYS_IPC_H"]=" 1"
+D["HAVE_SYS_SHM_H"]=" 1"
+D["HAVE_SYS_FILE_H"]=" 1"
+D["HAVE_MMAP"]=" 1"
+D["HAVE_MUNMAP"]=" 1"
+D["HAVE_SHM_OPEN"]=" 1"
+D["HAVE_SHM_UNLINK"]=" 1"
+D["HAVE_SHMGET"]=" 1"
+D["HAVE_SHMAT"]=" 1"
+D["HAVE_SHMDT"]=" 1"
+D["HAVE_SHMCTL"]=" 1"
+D["HAVE_MAP_ANON"]=" 1"
+D["anonymous"]=" shared memory allocation method 1"
+D["USE_SHMEM_MMAP_ANON"]=" 1"
+D["namebased"]=" memory allocation method 1"
+D["USE_SHMEM_SHMGET"]=" 1"
+D["HAVE_CALLOC"]=" 1"
+D["HAVE_STRCASECMP"]=" 1"
+D["HAVE_SETSID"]=" 1"
+D["HAVE_ISINF"]=" 1"
+D["HAVE_ISNAN"]=" 1"
+D["HAVE_GETENV"]=" 1"
+D["HAVE_PUTENV"]=" 1"
+D["HAVE_SETENV"]=" 1"
+D["HAVE_UNSETENV"]=" 1"
+D["HAVE_SETRLIMIT"]=" 1"
+D["HAVE_GETRLIMIT"]=" 1"
+D["HAVE_WRITEV"]=" 1"
+D["HAVE_SENDFILE"]=" 1"
+D["HAVE_UTIME"]=" 1"
+D["HAVE_UTIMES"]=" 1"
+D["HAVE_SIGACTION"]=" 1"
+D["HAVE_DECL_SYS_SIGLIST"]=" 1"
+D["HAVE_FORK"]=" 1"
+D["HAVE_STRERROR_R"]=" 1"
+D["HAVE_CRYPT_R"]=" 1"
+D["CRYPT_R_STRUCT_CRYPT_DATA"]=" 1"
+D["HAVE_MMAP"]=" 1"
+D["HAVE_MEMMOVE"]=" 1"
+D["HAVE_GETPASS"]=" 1"
+D["HAVE_GMTIME_R"]=" 1"
+D["HAVE_LOCALTIME_R"]=" 1"
+D["HAVE_HSTRERROR"]=" 1"
+D["HAVE_MKSTEMP"]=" 1"
+D["DIRENT_INODE"]=" d_fileno"
+D["DIRENT_TYPE"]=" d_type"
+D["STDC_HEADERS"]=" 1"
+D["HAVE_ALLOCA_H"]=" 1"
+D["HAVE_CRYPT_H"]=" 1"
+D["HAVE_CTYPE_H"]=" 1"
+D["HAVE_DIRENT_H"]=" 1"
+D["HAVE_DLFCN_H"]=" 1"
+D["HAVE_ERRNO_H"]=" 1"
+D["HAVE_FCNTL_H"]=" 1"
+D["HAVE_GRP_H"]=" 1"
+D["HAVE_LIMITS_H"]=" 1"
+D["HAVE_MALLOC_H"]=" 1"
+D["HAVE_MEMORY_H"]=" 1"
+D["HAVE_NETDB_H"]=" 1"
+D["HAVE_POLL_H"]=" 1"
+D["HAVE_PWD_H"]=" 1"
+D["HAVE_SEMAPHORE_H"]=" 1"
+D["HAVE_SIGNAL_H"]=" 1"
+D["HAVE_STDARG_H"]=" 1"
+D["HAVE_STDDEF_H"]=" 1"
+D["HAVE_STDIO_H"]=" 1"
+D["HAVE_STDLIB_H"]=" 1"
+D["HAVE_STRING_H"]=" 1"
+D["HAVE_STRINGS_H"]=" 1"
+D["HAVE_TERMIOS_H"]=" 1"
+D["HAVE_TIME_H"]=" 1"
+D["HAVE_UNISTD_H"]=" 1"
+D["HAVE_ARPA_INET_H"]=" 1"
+D["HAVE_NETINET_IN_H"]=" 1"
+D["HAVE_SYS_FILE_H"]=" 1"
+D["HAVE_SYS_IOCTL_H"]=" 1"
+D["HAVE_SYS_MMAN_H"]=" 1"
+D["HAVE_SYS_POLL_H"]=" 1"
+D["HAVE_SYS_RESOURCE_H"]=" 1"
+D["HAVE_SYS_SELECT_H"]=" 1"
+D["HAVE_SYS_SEM_H"]=" 1"
+D["HAVE_SYS_SENDFILE_H"]=" 1"
+D["HAVE_SYS_SIGNAL_H"]=" 1"
+D["HAVE_SYS_SOCKET_H"]=" 1"
+D["HAVE_SYS_STAT_H"]=" 1"
+D["HAVE_SYS_SYSCTL_H"]=" 1"
+D["HAVE_SYS_TIME_H"]=" 1"
+D["HAVE_SYS_TYPES_H"]=" 1"
+D["HAVE_SYS_UIO_H"]=" 1"
+D["HAVE_SYS_UN_H"]=" 1"
+D["HAVE_SYS_WAIT_H"]=" 1"
+D["HAVE_NETINET_TCP_H"]=" 1"
+D["SETPGRP_VOID"]=" 1"
+D["HAVE_SOCKLEN_T"]=" 1"
+D["SIZEOF_VOIDP"]=" 8"
+D["SIZEOF_CHAR"]=" 1"
+D["SIZEOF_INT"]=" 4"
+D["SIZEOF_LONG"]=" 8"
+D["SIZEOF_SHORT"]=" 2"
+D["SIZEOF_LONG_DOUBLE"]=" 16"
+D["SIZEOF_LONG_LONG"]=" 8"
+D["SIZEOF_SSIZE_T"]=" 8"
+D["SIZEOF_SIZE_T"]=" 8"
+D["SIZEOF_OFF_T"]=" 8"
+D["SIZEOF_PID_T"]=" 4"
+D["HAVE_STRNCASECMP"]=" 1"
+D["HAVE_STRCASECMP"]=" 1"
+D["HAVE_STRDUP"]=" 1"
+D["HAVE_STRSTR"]=" 1"
+D["HAVE_MEMCHR"]=" 1"
+D["HAVE_STRTOL"]=" 1"
+D["HAVE_DLSYM"]=" 1"
+D["DSO_USE_DLFCN"]=" 1"
+D["HAVE_WAITPID"]=" 1"
+D["HAVE_VLA"]=" 1"
+D["HAVE_SEMGET"]=" 1"
+D["HAVE_SEMCTL"]=" 1"
+D["HAVE_FLOCK"]=" 1"
+D["HAVE_SEMAPHORE_H"]=" 1"
+D["HAVE_SEM_CLOSE"]=" 1"
+D["HAVE_SEM_UNLINK"]=" 1"
+D["HAVE_SEM_POST"]=" 1"
+D["HAVE_SEM_WAIT"]=" 1"
+D["HAVE_LOCK_EX"]=" 1"
+D["HAVE_F_SETLK"]=" 1"
+D["HAVE_SEM_UNDO"]=" 1"
+D["HAVE_POLLIN"]=" 1"
+D["HAVE_PTHREAD_PROCESS_SHARED"]=" 1"
+D["HAVE_PTHREAD_MUTEXATTR_SETPSHARED"]=" 1"
+D["HAVE_PTHREAD_MUTEX_ROBUST"]=" 1"
+D["apr_lock"]=" implementation method 1"
+D["USE_SYSVSEM_SERIALIZE"]=" 1"
+D["DEV_RANDOM"]=" \"/dev/random\""
+D["HAVE_GMTOFF"]=" 1"
+D["GETHOSTBYNAME_R_GLIBC2"]=" 1"
+D["HAVE_TCP_CORK"]=" 1"
+D["RESOLV_RETRANSRETRY"]=" 1"
+D["HAVE_GAI_STRERROR"]=" 1"
+D["HAVE_GETADDRINFO"]=" 1"
+D["NEGATIVE_EAI"]=" 1"
+D["HAVE_GETNAMEINFO"]=" 1"
+D["HAVE_LANGINFO_H"]=" 1"
+D["HAVE_NL_LANGINFO"]=" 1"
+D["HAVE_FSTAT64"]=" 1"
+ for (key in D) D_is_set[key] = 1
+ FS = ""
+}
+/^[\t ]*#[\t ]*(define|undef)[\t ]+[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*([\t (]|$)/ {
+ line = $ 0
+ split(line, arg, " ")
+ if (arg[1] == "#") {
+ defundef = arg[2]
+ mac1 = arg[3]
+ } else {
+ defundef = substr(arg[1], 2)
+ mac1 = arg[2]
+ }
+ split(mac1, mac2, "(") #)
+ macro = mac2[1]
+ prefix = substr(line, 1, index(line, defundef) - 1)
+ if (D_is_set[macro]) {
+ # Preserve the white space surrounding the "#".
+ print prefix "define", macro P[macro] D[macro]
+ next
+ } else {
+ # Replace #undef with comments. This is necessary, for example,
+ # in the case of _POSIX_SOURCE, which is predefined and required
+ # on some systems where configure will not decide to define it.
+ if (defundef == "undef") {
+ print "/*", prefix defundef, macro, "*/"
+ next
+ }
+ }
+}
+{ print }
+_ACAWK
+ { { $as_echo "$as_me:$LINENO: error: could not setup config headers machinery" >&5
+$as_echo "$as_me: error: could not setup config headers machinery" >&2;}
+ { (exit 1); exit 1; }; }
+fi # test -n "$CONFIG_HEADERS"
+
+
+eval set X " :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS"
+shift
+for ac_tag
+do
+ case $ac_tag in
+ :[FHLC]) ac_mode=$ac_tag; continue;;
+ esac
+ case $ac_mode$ac_tag in
+ :[FHL]*:*);;
+ :L* | :C*:*) { { $as_echo "$as_me:$LINENO: error: invalid tag $ac_tag" >&5
+$as_echo "$as_me: error: invalid tag $ac_tag" >&2;}
+ { (exit 1); exit 1; }; };;
+ :[FH]-) ac_tag=-:-;;
+ :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
+ esac
+ ac_save_IFS=$IFS
+ IFS=:
+ set x $ac_tag
+ IFS=$ac_save_IFS
+ shift
+ ac_file=$1
+ shift
+
+ case $ac_mode in
+ :L) ac_source=$1;;
+ :[FH])
+ ac_file_inputs=
+ for ac_f
+ do
+ case $ac_f in
+ -) ac_f="$tmp/stdin";;
+ *) # Look for the file first in the build tree, then in the source tree
+ # (if the path is not absolute). The absolute path cannot be DOS-style,
+ # because $ac_f cannot contain `:'.
+ test -f "$ac_f" ||
+ case $ac_f in
+ [\\/$]*) false;;
+ *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
+ esac ||
+ { { $as_echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
+$as_echo "$as_me: error: cannot find input file: $ac_f" >&2;}
+ { (exit 1); exit 1; }; };;
+ esac
+ case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
+ ac_file_inputs="$ac_file_inputs '$ac_f'"
+ done
+
+ # Let's still pretend it is `configure' which instantiates (i.e., don't
+ # use $as_me), people would be surprised to read:
+ # /* config.h. Generated by config.status. */
+ configure_input='Generated from '`
+ $as_echo "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
+ `' by configure.'
+ if test x"$ac_file" != x-; then
+ configure_input="$ac_file. $configure_input"
+ { $as_echo "$as_me:$LINENO: creating $ac_file" >&5
+$as_echo "$as_me: creating $ac_file" >&6;}
+ fi
+ # Neutralize special characters interpreted by sed in replacement strings.
+ case $configure_input in #(
+ *\&* | *\|* | *\\* )
+ ac_sed_conf_input=`$as_echo "$configure_input" |
+ sed 's/[\\\\&|]/\\\\&/g'`;; #(
+ *) ac_sed_conf_input=$configure_input;;
+ esac
+
+ case $ac_tag in
+ *:-:* | *:-) cat >"$tmp/stdin" \
+ || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ esac
+ ;;
+ esac
+
+ ac_dir=`$as_dirname -- "$ac_file" ||
+$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+ X"$ac_file" : 'X\(//\)[^/]' \| \
+ X"$ac_file" : 'X\(//\)$' \| \
+ X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X"$ac_file" |
+ sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+ s//\1/
+ q
+ }
+ /^X\(\/\/\)[^/].*/{
+ s//\1/
+ q
+ }
+ /^X\(\/\/\)$/{
+ s//\1/
+ q
+ }
+ /^X\(\/\).*/{
+ s//\1/
+ q
+ }
+ s/.*/./; q'`
+ { as_dir="$ac_dir"
+ case $as_dir in #(
+ -*) as_dir=./$as_dir;;
+ esac
+ test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
+ as_dirs=
+ while :; do
+ case $as_dir in #(
+ *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
+ *) as_qdir=$as_dir;;
+ esac
+ as_dirs="'$as_qdir' $as_dirs"
+ as_dir=`$as_dirname -- "$as_dir" ||
+$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+ X"$as_dir" : 'X\(//\)[^/]' \| \
+ X"$as_dir" : 'X\(//\)$' \| \
+ X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X"$as_dir" |
+ sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+ s//\1/
+ q
+ }
+ /^X\(\/\/\)[^/].*/{
+ s//\1/
+ q
+ }
+ /^X\(\/\/\)$/{
+ s//\1/
+ q
+ }
+ /^X\(\/\).*/{
+ s//\1/
+ q
+ }
+ s/.*/./; q'`
+ test -d "$as_dir" && break
+ done
+ test -z "$as_dirs" || eval "mkdir $as_dirs"
+ } || test -d "$as_dir" || { { $as_echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
+$as_echo "$as_me: error: cannot create directory $as_dir" >&2;}
+ { (exit 1); exit 1; }; }; }
+ ac_builddir=.
+
+case "$ac_dir" in
+.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
+*)
+ ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
+ # A ".." for each directory in $ac_dir_suffix.
+ ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
+ case $ac_top_builddir_sub in
+ "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
+ *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
+ esac ;;
+esac
+ac_abs_top_builddir=$ac_pwd
+ac_abs_builddir=$ac_pwd$ac_dir_suffix
+# for backward compatibility:
+ac_top_builddir=$ac_top_build_prefix
+
+case $srcdir in
+ .) # We are building in place.
+ ac_srcdir=.
+ ac_top_srcdir=$ac_top_builddir_sub
+ ac_abs_top_srcdir=$ac_pwd ;;
+ [\\/]* | ?:[\\/]* ) # Absolute name.
+ ac_srcdir=$srcdir$ac_dir_suffix;
+ ac_top_srcdir=$srcdir
+ ac_abs_top_srcdir=$srcdir ;;
+ *) # Relative name.
+ ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
+ ac_top_srcdir=$ac_top_build_prefix$srcdir
+ ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
+esac
+ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
+
+
+ case $ac_mode in
+ :F)
+ #
+ # CONFIG_FILE
+ #
+
+ case $INSTALL in
+ [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
+ *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
+ esac
+# If the template does not know about datarootdir, expand it.
+# FIXME: This hack should be removed a few years after 2.60.
+ac_datarootdir_hack=; ac_datarootdir_seen=
+
+ac_sed_dataroot='
+/datarootdir/ {
+ p
+ q
+}
+/@datadir@/p
+/@docdir@/p
+/@infodir@/p
+/@localedir@/p
+/@mandir@/p
+'
+case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
+*datarootdir*) ac_datarootdir_seen=yes;;
+*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
+ { $as_echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
+$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
+ ac_datarootdir_hack='
+ s&@datadir@&/bottlenecks/rubbos/app/apache2&g
+ s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
+ s&@infodir@&${datarootdir}/info&g
+ s&@localedir@&${datarootdir}/locale&g
+ s&@mandir@&${prefix}/man&g
+ s&\${datarootdir}&${prefix}/share&g' ;;
+esac
+ac_sed_extra="/^[ ]*VPATH[ ]*=/{
+s/:*\$(srcdir):*/:/
+s/:*\${srcdir}:*/:/
+s/:*@srcdir@:*/:/
+s/^\([^=]*=[ ]*\):*/\1/
+s/:*$//
+s/^[^=]*=[ ]*$//
+}
+
+:t
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
+s|@configure_input@|$ac_sed_conf_input|;t t
+s&@top_builddir@&$ac_top_builddir_sub&;t t
+s&@top_build_prefix@&$ac_top_build_prefix&;t t
+s&@srcdir@&$ac_srcdir&;t t
+s&@abs_srcdir@&$ac_abs_srcdir&;t t
+s&@top_srcdir@&$ac_top_srcdir&;t t
+s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
+s&@builddir@&$ac_builddir&;t t
+s&@abs_builddir@&$ac_abs_builddir&;t t
+s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
+s&@INSTALL@&$ac_INSTALL&;t t
+$ac_datarootdir_hack
+"
+eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$tmp/subs.awk" >$tmp/out \
+ || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+ { (exit 1); exit 1; }; }
+
+test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
+ { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
+ { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
+ { $as_echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+which seems to be undefined. Please make sure it is defined." >&5
+$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+which seems to be undefined. Please make sure it is defined." >&2;}
+
+ rm -f "$tmp/stdin"
+ case $ac_file in
+ -) cat "$tmp/out" && rm -f "$tmp/out";;
+ *) rm -f "$ac_file" && mv "$tmp/out" "$ac_file";;
+ esac \
+ || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+ { (exit 1); exit 1; }; }
+ ;;
+ :H)
+ #
+ # CONFIG_HEADER
+ #
+ if test x"$ac_file" != x-; then
+ {
+ $as_echo "/* $configure_input */" \
+ && eval '$AWK -f "$tmp/defines.awk"' "$ac_file_inputs"
+ } >"$tmp/config.h" \
+ || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+ { (exit 1); exit 1; }; }
+ if diff "$ac_file" "$tmp/config.h" >/dev/null 2>&1; then
+ { $as_echo "$as_me:$LINENO: $ac_file is unchanged" >&5
+$as_echo "$as_me: $ac_file is unchanged" >&6;}
+ else
+ rm -f "$ac_file"
+ mv "$tmp/config.h" "$ac_file" \
+ || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ else
+ $as_echo "/* $configure_input */" \
+ && eval '$AWK -f "$tmp/defines.awk"' "$ac_file_inputs" \
+ || { { $as_echo "$as_me:$LINENO: error: could not create -" >&5
+$as_echo "$as_me: error: could not create -" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ ;;
+
+ :C) { $as_echo "$as_me:$LINENO: executing $ac_file commands" >&5
+$as_echo "$as_me: executing $ac_file commands" >&6;}
+ ;;
+ esac
+
+
+ case $ac_file$ac_mode in
+ "default":C)
+for i in $SAVE_FILES; do
+ if cmp -s $i $i.save 2>/dev/null; then
+ mv $i.save $i
+ echo "$i is unchanged"
+ fi
+ rm -f $i.save
+done
+chmod +x apr-config
+ ;;
+
+ esac
+done # for ac_tag
+
+
+{ (exit 0); exit 0; }